Skip to main content
POST
/
v2
/
customers
Create a Customer
curl --request POST \
  --url https://api.pagou.ai/v2/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "jsmith@example.com",
  "document": {
    "type": "EIN",
    "number": "<string>"
  },
  "phone": "<string>",
  "externalRef": "<string>",
  "address": {
    "street": "<string>",
    "city": "<string>",
    "number": "<string>",
    "complement": "<string>",
    "neighborhood": "<string>",
    "state": "<string>",
    "zipCode": "<string>",
    "country": "BR"
  },
  "ip_address": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Full name of the customer.

Minimum string length: 1
email
string<email>
required

Primary email address of the customer.

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
document
object

Optional government-issued document information for the customer.

phone
string

Optional customer phone number in E.164-like numeric format with 11 digits.

Pattern: ^\d{11}$
externalRef
string

Optional external reference from your system used to correlate this customer.

address
object

Optional billing or residential address of the customer.

ip_address
string

Optional IP address associated with the customer creation request.

Response

Success

Generic success response payload.